geom {raster} | R Documentation

## Get the coordinates of a vector type Spatial* object

### Description

Extract the coordinates of a Spatial object

### Usage

    ## S4 method for signature 'SpatialPolygons'
    geom(x, sepNA=FALSE, ...)

### Arguments

`x` | SpatialPolygons*, SpatialLines*, or SpatialPoints* object
`sepNA` | logical. If `TRUE`, geometries are separated by a row with `NA` values
`...` | additional arguments, none implemented

### Value

Matrix with 6, (5 SpatialLines), or 3 (SpatialPoints) columns. object (sequential object number) part (sequential part number within the object; not for SpatialPoints), cump (cumulative part number; not for SpatialPoints), hole (is this a hole or not; only for SpatialPolygons), x (x coordinate or longitude), y (y coordinate or latitude)

### See Also

`coordinates`, `geometry`

### Examples

    if (require(rgdal) & require(rgeos)) {
    	p <- shapefile(system.file("external/lux.shp", package="raster"))
    	x <- geom(p)
    }

[Package raster version 2.5-2 Index]